openSUSE Security Update : sudo (openSUSE-SU-2011:0050-1)

This script is Copyright (C) 2011-2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update of sudo fixes :

- CVE-2011-0010: Does ask for the user password for GID
changes now.

- CVE-2010-1646: CVSS v2 Base Score: 6.6 (CWE-264): The
secure environment option can handle multiple occurrence
of PATH now.

- CVE-2010-1163: CVSS v2 Base Score: 6.9 (CWE-20):
Improved command matching.

See also :

http://lists.opensuse.org/opensuse-updates/2011-01/msg00022.html
https://bugzilla.novell.com/show_bug.cgi?id=594738
https://bugzilla.novell.com/show_bug.cgi?id=663881

Solution :

Update the affected sudo package.

Risk factor :

Medium / CVSS Base Score : 6.9
(CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 53801 ()

Bugtraq ID:

CVE ID: CVE-2010-1163
CVE-2010-1646
CVE-2011-0010

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now